<?php
/**
 * Шаблон формы редактирования
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    7.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2021 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
	$path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}



echo '<section class="section-d section-d_form section-d_cck section-d_cck_edit js_cck_form">';

echo
'<form method="POST" enctype="multipart/form-data" action="" class="ajax">
	<input type="hidden" name="module" value="cck">
	<input type="hidden" name="action" value="edit">
	<input type="hidden" name="form_tag" value="'.$result["form_tag"].'">
	<input type="hidden" name="id" value="'.$result["id"].'">
	<input type="hidden" name="check_hash_user" value="'.$result["hash"].'">';

	if (! empty($result["form_name"]))
	{
		echo
		'<div class="field-d">
			<div class="field-d__name">'.$this->diafan->_('Название').'<span class="_asterisk"></span>:</div>
			<input type="text" name="name" value="'.$result["name"].'">
			<div class="errors error_name"'.($result["error_name"] ? '>'.$result["error_name"] : ' style="display:none">').'</div>
		</div>';
	}

	if (! empty($result["form_date_finish"]))
	{
		echo
		'<div class="field-d">
			<div class="field-d__name">'.$this->diafan->_('Опубликовать на сайте до').':</div>
			<input type="text" name="date_finish" value="'.($result["date_finish"] ? date("d.m.Y", $result["date_finish"]) : '').'" class="timecalendar" showTime="false">
			<div class="errors error_date_finish"'.($result["error_date_finish"] ? '>'.$result["error_date_finish"] : ' style="display:none">').'</div>
		</div>';
	}

	if (! empty($result["form_anons"]))
	{
		echo
		'<div class="field-d">
			<div class="field-d__name">'.$this->diafan->_('Краткий анонс').'<span class="_asterisk"></span>:</div>
			<textarea name="anons">'.$result["anons"].'</textarea>
			<div class="errors error_anons"'.($result["error_anons"] ? '>'.$result["error_anons"] : ' style="display:none">').'</div>
		</div>';
	}

	if (! empty($result["form_text"]))
	{
		echo
		'<div class="field-d">
			<div class="field-d__name">'.$this->diafan->_('Описание').'<span class="_asterisk"></span>:</div>
			<textarea name="text">'.$result["text"].'</textarea>
			<div class="errors error_text"'.($result["error_text"] ? '>'.$result["error_text"] : ' style="display:none">').'</div>
		</div>';
	}

	if (! empty($result["form_images"]))
	{
		echo
		'<div class="field-d">
			<div class="field-d__name">'.$this->diafan->_('Изображения').':</div>
			<div class="inpimage">
				<div class="images">';
					if(! empty($result['images'][0]))
					{
						echo $this->get('images', 'cck', $result["images"][0]);
					}
					echo
				'</div>
				<input type="file" name="images" class="inpimages">
				<label>'.$this->diafan->_('Прикрепить изображение').'</label>
			</div>
			<div class="errors error_images"'.($result["error_images"] ? '>'.$result["error_images"] : ' style="display:none">').'</div>
		</div>';
	}

	if (count($result["cat_ids"]) > 1)
	{
		echo
		'<div class="field-d">
			<div class="cck_form_cat_ids">
				<span class="field-d__name">'.$this->diafan->_('Категория').':</span>
				<select name="cat_id" class="js_cck_form_cat_ids">';
					foreach ($result["cat_ids"] as $row)
					{
						echo '<option value="'.$row["id"].'"';
						if($result["cat_id"] == $row["id"])
						{
							echo ' selected';
						}
						echo '>';
						if($row["level"])
						{
							echo str_repeat('- ', $row["level"]);
						}
						echo $row["name"].'</option>';
					}
					echo
				'</select>
			</div>
		</div>';
	}
	else
	{
		echo '<input name="cat_id" type="hidden" value="'.$result["cat_id"].'">';
	}

	if(! empty($result["rows"]))
	{
		foreach($result["rows"] as $row) //вывод полей из конструктора форм
		{
			$value = ! empty($result["param"]['p'.$row["id"]]) ? $result["param"]['p'.$row["id"]] : '';

			echo '<div class="field-d js_cck_form_param cck_form_param cck_form_param'.$row["id"].'" cat_ids="'.$row["cat_ids"].'">';

			switch ($row["type"])
			{
				case 'title':
					echo '<div class="field-d__title">'.$row["name"].':</div>';
					break;

				case 'text':
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<input type="text" name="p'.$row["id"].'" value="'.$value.'">';
					break;

				case "email":
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<input type="email" name="p'.$row["id"].'" value="'.$value.'">';
					break;

				case "phone":
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<input type="tel" name="p'.$row["id"].'" value="'.$value.'">';
					break;

				case 'textarea':
				case 'editor':
					echo'<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<textarea name="p'.$row["id"].'">'.$value.'</textarea>';
					break;

				case 'date':
				case 'datetime':
					$timecalendar  = true;
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<input type="text" name="p'.$row["id"].'" value="'.$value.'" class="timecalendar" showTime="'
					.($row["type"] == 'datetime'? 'true' : 'false').'">';
					break;

				case 'numtext':
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<input type="number" name="p'.$row["id"].'" value="'.$value.'">';
					break;

				case 'checkbox':
					echo '<input name="p'.$row["id"].'" id="ads_p'.$row["id"].'" value="1" type="checkbox" '.($value ? ' checked' : '').'><label for="ads_p'.$row["id"].'">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').'</label>';
					break;

				case 'select':
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<select name="p'.$row["id"].'" class="inpselect">
						<option value="">-</option>';
						foreach ($row["select_array"] as $select)
						{
							echo '<option value="'.$select["id"].'"'.($value == $select["id"] ? ' selected' : '').'>'.$select["name"].'</option>';
						}
					echo '</select>';
					break;

				case 'multiple':
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<div class="field-d__list">';
						foreach ($row["select_array"] as $select)
						{
							echo
							'<div class="field-d__item">
								<input name="p'.$row["id"].'[]" value="'.$select["id"].'" type="checkbox" id="ads_p'.$row["id"].'_'.$select["id"].'" class="inpcheckbox"'.(in_array($select["id"], $value) ? ' checked' : '').'>
								<label for="ads_p'.$row["id"].'_'.$select["id"].'">'.$select["name"].'</label>
							</div>';
						}
					echo '</div>';
					break;

				case "attachments":
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>';
					if(! empty($result['attachments'][$row["id"]]))
					{
						echo $this->get('attachments', 'cck', array("rows" => $result['attachments'][$row["id"]], "param_id" => $row["id"], "use_animation" => $row["use_animation"]));
					}
					if(empty($result['attachments'][$row["id"]]) || count($result['attachments'][$row["id"]]) < $row["max_count_attachments"])
					{
						echo
						'<label class="inpattachment">
							<input type="file" name="attachments'.$row["id"].'[]" class="inpfiles" max="'.$row["max_count_attachments"].'">
							<label>'.$this->diafan->_('Прикрепить файл').'</label>
						</label>';
					}
					echo
					'<label class="inpattachment" style="display:none">
						<input type="file" name="hide_attachments'.$row["id"].'[]" class="inpfiles" max="'.$row["max_count_attachments"].'">
						<label>'.$this->diafan->_('Прикрепить файл').'</label>
					</label>';
					if ($row["attachment_extensions"])
					{
						echo '<div class="field-d__text attachment_extensions">('.$this->diafan->_('Доступные типы файлов').': '.$row["attachment_extensions"].')</div>';
					}
					break;

				case "images":
					echo '<div class="field-d__name">'.$row["name"].($row["required"] ? '<span class="_asterisk"></span>' : '').':</div>
					<div class="inpimage">
						<div class="images">';
							if(! empty($result['images'][$row["id"]]))
							{
								echo $this->get('images', 'cck', $result['images'][$row["id"]]);
							}
							echo
						'</div>
						<input type="file" name="images'.$row["id"].'" class="inpimages" param_id="'.$row["id"].'">
						<label>'.$this->diafan->_('Прикрепить изображение').'</label>
					</div>';
					break;
			}

			if(! empty($row["text"]))
			{
				echo '<div class="field-d__text _text cck_form_param_text">'.$row["text"].'</div>';
			}

			if($row["type"] != 'title')
			{
				echo '<div class="errors error_p'.$row["id"].'"'.($result["error_p".$row["id"]] ? '>'.$result["error_p".$row["id"]] : ' style="display:none">').'</div>';
			}

			echo '</div>';
		}
	}

	// редактирование точки на карте
	echo '<div class="field-d _map">';
	echo $this->diafan->_geomap->add($result["id"], 'cck');
	echo '</div>';

	//Кнопка Отправить
	echo
	'<button class="button-d" type="submit">
		<span class="button-d__name">'.$this->diafan->_('Сохранить').'</span>
	</button>';

	echo
	'<div class="required_field"><span class="_asterisk"></span> — '.$this->diafan->_('Поля, обязательные для заполнения').'</div>

	<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>

</form>';

echo '</section>';