<?php
/**
 * Шаблон страница элемента
 * 
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    7.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2021 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
    $path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}

echo '<section class="section-d section-d_id section-d_cck section-d_cck_id js_cck">';

//вывод изображений
if (! empty($result["img"]))
{
	echo '<div class="_images">';
	foreach($result["img"] as $img)
	{
		switch ($img["type"])
		{
			case 'animation':
				echo '<a href="'.BASE_PATH.$img["link"].'" data-fancybox="gallery'.$result["id"].'cck">';
				break;
			case 'large_image':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="large_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
				break;
			default:
				echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
				break;
		}
		echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
		. '</a>';
	}
	echo '</div>';
}

echo '<h2 class="section-d__name">'.$result['titlemodule'].'</h2>';

//вывод рейтинга
if (! empty($result["rating"]))
{			
	echo $result["rating"];			
}		

//полное описание
echo '<div class="_text">'.$result['text'].'</div>';

//параметры
if (! empty($result["param"]))
{
	echo '<div class="params-d">';
	echo $this->get('param', 'cck', array("rows" => $result["param"], "id" => $result["id"]));
	echo '</div>';
}

// автор
if (! empty($result["author"]))
{
	echo
	'<div class="account-d account-d_row">
		<div class="account-d__images">';
			if (! empty($result['author']['avatar']) && strpos($result['author']['avatar'], 'avatar_none') === false)
			{
				echo
				'<a class="account-d__avatar avatar-d avatar-d_fit"'.(! empty($result['author']['user_page']) ? ' href="'.$result['author']['user_page'].'"' : '').' title="'.$this->diafan->_('Пользователь', false).'">
					<img src="'.$result['author']['avatar'].'" width="'.$result['author']['avatar_width'].'" height="'.$result['author']['avatar_height'].'" alt="'.$result['author']['fio'].' ('.$result['author']['name'].')">
				</a>';
			}
			else
			{
				echo
				'<a class="account-d__avatar avatar-d avatar-d_none"'.(! empty($result['author']['user_page']) ? ' href="'.$result['author']['user_page'].'"' : '').' title="'.$this->diafan->_('Пользователь', false).'">
					<span class="avatar-d__icon icon-d fas fa-user"></span>
				</a>';
			}
			echo
		'</div>
		<div class="account-d__details details-d">
			<div class="detail-d detail-d_name">';
				if(is_array($result['author']))
				{
					echo '<a'.(! empty($result['author']['user_page']) ? ' href="'.$result['author']['user_page'].'"' : '').' title="'.$this->diafan->_('Пользователь', false).'">';
					if(array_key_exists('fio', $result['author']))
					{
						echo '<span class="account-d__name">'.$result['author']['fio'].'</span>';
					}
					if(array_key_exists('name', $result['author']))
					{
						echo ' <span class="account-d__nikname">('.$result['author']['name'].')</span>';
					}
					echo '</a>';
				}
				else
				{
					echo '<a title="'.$this->diafan->_('Пользователь', false).'">'.$result['author'].'</a>';
				}
				echo
			'</div>
		</div>
	</div>';
}

//дата
if (! empty($result["date"]))
{
	echo '<div class="date-d">'.$result["date"].'</div>';	
}

echo '<div class="actions-d">';
//ссылка на редактирование
if ($result["edit_access"])
{
	echo
	'<a class="action-d js_cck_action" href="'.BASE_PATH_HREF.$result["edit_link"].'">
		<span class="action-d__icon icon-d fas fa-pencil-alt" title="'.$this->diafan->_('Редактировать', false).'"></span>
	</a>';
}
//ссылка на блокирование/разблокирование
if ($result["block_access"])
{
	echo
	'<a class="action-d js_cck_action" href="'.BASE_PATH_HREF.$result["block_link"].'">
		<span class="action-d__icon icon-d fas fa-'.(empty($result["unblock"]) ? 'lock' : 'unlock').'" title="'.(! empty($result["unblock"]) ? $this->diafan->_('Разблокировать', false) : $this->diafan->_('Блокировать', false)).'"></span>
	</a>';
}
//ссылка на удаление
if ($result["delete_access"])
{
	echo
	'<a class="action-d js_cck_action" href="'.BASE_PATH_HREF.$result["delete_link"].'" confirm="'.$this->diafan->_('Вы действительно хотите удалить контент?', false).'">
		<span class="action-d__icon icon-d fas fa-times-circle" title="'.$this->diafan->_('Удалить', false).'"></span>
	</a>';
}
echo '</div>';

//счетчик просмотров
if(! empty($result["counter"]))
{
	echo
	'<div class="counter-d">
		<span class="counter-d__name">'.$this->diafan->_('Просмотров').':</span>
		<span class="counter-d__value">'.$result["counter"].'</span>
	</div>';
}

// вывод точки на карте
echo '<div class="_map">';
echo $this->diafan->_geomap->get($result["id"], 'cck');
echo '</div>';

//теги
if(! empty($result["tags"]))
{
	echo $result["tags"];
}

//комментарии
if(! empty($result["comments"]))
{
	echo $result["comments"];
}

//ссылки на предыдущий и последующий элемент
echo $this->htmleditor('<insert name="show_previous_next" module="cck">');

echo '</section>';

//форма добавления
if (! empty($result["form"]))
{
	echo $this->get('form', 'cck', $result["form"]);
}

echo $this->htmleditor('<insert name="show_block_rel" module="cck" count="4" images="1">');
