<?php
/**
 * Шаблон список элементов
 *
 * Шаблон вывода списка элементов
 * в категории элементов, в результатах поиска или если группировка не используется
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    7.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2021 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
	$path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}



if(! empty($result["error"]))
{
	echo '<p class="_note">'.$result["error"].'</p>';
	return;
}

if(empty($result["ajax"]))
{
	echo '<section class="section-d section-d_list section-d_cck section-d_cck_cat cck_list">';
}

echo '<section class="section-d section-d_main">';

//вывод описания текущей категории
if (! empty($result["text"]))
{
	echo '<div class="_text">'.$result['text'].'</div>';
}

//рейтинг категории
if(! empty($result["rating"]))
{
	echo $result["rating"];
}

//вывод изображений текущей категории
if (! empty($result["img"]))
{
	echo '<div class="_images">';
	foreach($result["img"] as $img)
	{
		switch ($img["type"])
		{
			case 'animation':
				echo '<a href="'.BASE_PATH.$img["link"].'" data-fancybox="gallery'.$result["id"].'cck">';
				break;

			case 'large_image':
				echo '<a href="'.BASE_PATH.$img["link"].'" rel="large_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
				break;

			default:
				echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
				break;
		}
		echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
		. '</a>';
	}
	echo '</div>';
}

//вывод подкатегории
if(! empty($result["children"]))
{
	foreach($result["children"] as $child)
	{
		echo '<section class="section-d section-d_child">';

		//название и ссылка подкатегории
		echo
		'<header class="section-d__name">
			<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].' ('.$child["count"].')</a>
		</header>';

		//вывод изображений подкатегории
		if (! empty($child["img"]))
		{
			echo '<div class="_images">';
			foreach($child["img"] as $img)
			{
				switch ($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" data-fancybox="gallery'.$child["id"].'cck">';
						break;

					case 'large_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="large_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;

					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				. '</a>';
			}
			echo '</div>';
		}

		//рейтинг подкатегории
		if(! empty($child["rating"]))
		{
			echo $child["rating"];
		}

		//краткое описание подкатегории
		if($child["anons"])
		{
			echo '<div class="_text">'.$child['anons'].'</div>';
		}

		//вывод списка элементов подкатегории
		if (! empty($child["rows"]))
		{
			//вывод сортировки элементов
			if(! empty($child["link_sort"]))
			{
				echo $this->get('sort_block', 'cck', $result);
			}

			$res = $result; unset($res["show_more"]);
			$res["rows"] = $child["rows"];

			echo '<div class="section-d__list _list">';
			echo $this->get($result["view_rows"], 'cck', $res);
			echo '</div>';
		}

		echo '</section>';
	}
}

//вывод списка элементов
if(! empty($result["rows"]))
{
	//вывод сортировки элементов
	if(! empty($result["link_sort"]))
	{
		echo $this->get('sort_block', 'cck', $result);
	}

	echo '<div class="section-d__list _list">';
	echo $this->get($result["view_rows"], 'cck', $result);
	echo '</div>';
}

//постраничная навигация
if(! empty($result["paginator"]))
{
	echo $result["paginator"];
}

//вывод комментариев ко всей категории
if(! empty($result["comments"]))
{
	echo $result["comments"];
}

//вывод ссылок на предыдущую и последующую категории
echo $this->htmleditor('<insert name="show_previous_next" module="cck">');

echo '</section>';

if(empty($result["ajax"]))
{
	echo '</section>';

	//форма добавления
	if (! empty($result["form"]))
	{
		echo $this->get('form', 'cck', $result["form"]);
	}
}
