<?php
/**
 * Шаблон элементов в списке элементов
 *
 * Шаблон вывода списка элементов
 * в категории, в результатах поиска или если группировка не используется
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    7.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2021 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
	$path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}



if(empty($result['rows'])) return false;

foreach ($result["rows"] as $row)
{
	echo '<article class="element-d element-d_rowcard element-d_cck element-d_cck_item js_cck'.(isset($row["act"]) && ! $row["act"] ? ' _noact' : '').'">';

	//вывод изображений
	if (! empty($row["img"]))
	{
		echo '<div class="element-d__images">';
		foreach ($row["img"] as $img)
		{
			switch ($img["type"])
			{
				case 'animation':
					echo '<a class="_fit" href="'.BASE_PATH.$img["link"].'" data-fancybox="gallery'.$row["id"].'cck">';
					break;
				case 'large_image':
					echo '<a class="_fit" href="'.BASE_PATH.$img["link"].'" rel="large_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
					break;
				default:
					echo '<a class="_fit" href="'.BASE_PATH_HREF.$img["link"].'">';
					break;
			}
			echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
			. '</a>';
		}
		echo '</div>';
	}

	echo '<div class="element-d__details details-d">';

	//вывод названия и ссылки
	echo 
	'<div class="detail-d detail-d_name">
		<a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>
	</div>';
	//рейтинг
	if (! empty($row["rating"]))
	{
		echo '<div class="detail-d detail-d_rating">'.$row["rating"].'</div>';
	}
	//вывод краткого описания
	if (!empty($row["anons"]))
	{
		echo
		'<div class="detail-d detail-d_anons _text">
			<a href="'.BASE_PATH_HREF.$row["link"].'">'.$row['anons'].'</a>
		</div>';
	}
	//вывод параметров
	if (!empty($row["param"]))
	{
		echo '<div class="detail-d detail-d_params">';
		echo $this->get('param', 'cck', array("rows" => $row["param"], "id" => $row["id"]));
		echo '</div>';
	}
	// автор
	if (! empty($row["author"]))
	{
		echo
		'<div class="detail-d detail-d_account">
			<div class="element-d__account account-d account-d_row">
				<div class="account-d__images">';
					if (! empty($row['author']['avatar']) && strpos($row['author']['avatar'], 'avatar_none') === false)
					{
						echo
						'<a class="account-d__avatar avatar-d avatar-d_fit"'.(! empty($row['author']['user_page']) ? ' href="'.$row['author']['user_page'].'"' : '').' title="'.$this->diafan->_('Пользователь', false).'">
							<img src="'.$row['author']['avatar'].'" width="'.$row['author']['avatar_width'].'" height="'.$row['author']['avatar_height'].'" alt="'.$row['author']['fio'].' ('.$row['author']['name'].')">
						</a>';
					}
					else
					{
						echo
						'<a class="account-d__avatar avatar-d avatar-d_none"'.(! empty($row['author']['user_page']) ? ' href="'.$row['author']['user_page'].'"' : '').' title="'.$this->diafan->_('Пользователь', false).'">
							<span class="avatar-d__icon icon-d fas fa-user"></span>
						</a>';
					}
					echo
				'</div>
				<div class="account-d__details details-d">
					<div class="detail-d detail-d_name">';
						if(is_array($row['author']))
						{
							echo '<a'.(! empty($row['author']['user_page']) ? ' href="'.$row['author']['user_page'].'"' : '').' title="'.$this->diafan->_('Пользователь', false).'">';
							if(array_key_exists('fio', $row['author']))
							{
								echo '<span class="account-d__name">'.$row['author']['fio'].'</span>';
							}
							if(array_key_exists('name', $row['author']))
							{
								echo ' <span class="account-d__nikname">('.$row['author']['name'].')</span>';
							}
							echo '</a>';
						}
						else
						{
							echo '<a title="'.$this->diafan->_('Пользователь', false).'">'.$row['author'].'</a>';
						}
						echo
					'</div>
				</div>
			</div>
		</div>';
	}
	//дата
	if (! empty($row["date"]))
	{
		echo
		'<div class="detail-d detail-d_date">
			<span class="date-d">'.$row["date"].'</span>
		</div>';
	}
	//теги
	if (!empty($row["tags"]))
	{
		echo '<div class="detail-d detail-d_tags">'.$row["tags"].'</div>';
	}
	$actions = '';
	//ссылка на редактирование
	if (! empty($row["edit_access"]))
	{
		$actions .=
		'<a class="action-d js_cck_action" href="'.BASE_PATH_HREF.$row["edit_link"].'">
			<span class="action-d__icon icon-d fas fa-pencil-alt" title="'.$this->diafan->_('Редактировать', false).'"></span>
		</a>';
	}
	//ссылка на блокирование/разблокирование
	if (! empty($row["block_access"]))
	{
		$actions .=
		'<a class="action-d js_cck_action" href="'.BASE_PATH_HREF.$row["block_link"].'">
			<span class="action-d__icon icon-d fas fa-'.(empty($row["unblock"]) ? 'lock' : 'unlock').'" title="'.(! empty($row["unblock"]) ? $this->diafan->_('Разблокировать', false) : $this->diafan->_('Блокировать', false)).'"></span>
		</a>';
	}
	//ссылка на удаление
	if (! empty($row["delete_access"]))
	{
		$actions .=
		'<a class="action-d js_cck_action" href="'.BASE_PATH_HREF.$row["delete_link"].'" confirm="'.$this->diafan->_('Вы действительно хотите удалить контент?', false).'">
			<span class="action-d__icon icon-d fas fa-times-circle" title="'.$this->diafan->_('Удалить', false).'"></span>
		</a>';
	}
	if(! empty($actions))
	{
		echo '<div class="detail-d detail-d_actions actions-d">'.$actions.'</div>';
	}

	echo '</div>';

	echo '</article>';
}

//Кнопка "Показать ещё"
if(! empty($result["show_more"]))
{
	echo $result["show_more"];
}
