<?php
/**
 * Шаблон блока элементов
 * 
 * Шаблонный тег <insert name="show_block" module="cck" [count="количество"]
 * [cat_id="категория"] [site_id="страница_с_прикрепленным_модулем"]
 * [images="количество_изображений"] [images_variation="тег_размера_изображений"]
 * [sort="порядок_вывода"] [param="дополнительные_условия"]
 * [only_module="выводить_только_на_странице_модуля"] [template="шаблон"]>:
 * блок элементов
 * 
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    7.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2021 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
    $path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}



if(empty($result["rows"])) return false;

echo '<section class="block-d block-d_cck block-d_cck_item">';

//заголовок блока
if (! empty($result["name"]))
{
	echo '<header class="block-d__name">'.$result['name'].'</header>';
}

//элементы
echo '<div class="block-d__list _list">';
echo $this->get($result["view_rows"], 'cck', $result);
echo '</div>';

//ссылка на все элементы
if(! empty($result["link_all"]))
{
	echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$result["link_all"].'">';
	if ($result["category"])
	{
		echo $this->diafan->_('Посмотреть весь контент в категории «%s»', true, $result["name"]);
	}
	else
	{
		echo $this->diafan->_('Весь контент');
	}
	echo '</a></div>';
}

echo '</section>';