<?php
/**
 * Шаблон форма поиска по элементам
 *
 * Шаблонный тег <insert name="show_search" module="cck" [ajax="подгружать_результаты"]
 * [cat_id="категория"] [site_id="страница_с_прикрепленным_модулем"]
 * [only_cck="выводить_только_на_странице_модуля"] [template="шаблон"]>:
 * форма поиска по элементам
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    7.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2021 OOO «Диафан» (http://www.diafan.ru/)
 */

if (! defined('DIAFAN'))
{
    $path = __FILE__;
	while(! file_exists($path.'/includes/404.php'))
	{
		$parent = dirname($path);
		if($parent == $path) exit;
		$path = $parent;
	}
	include $path.'/includes/404.php';
}


echo '<section class="block-d block-d_cck block-d_cck_search filter-d filter-d_cck">';

echo '<header class="block-d__name">'.$this->diafan->_('Поиск по контенту').'</header>';

echo
'<form method="GET" action="'.BASE_PATH_HREF.$result["path"].'" class="cck_search'.(! empty($result["send_ajax"]) ? ' ajax' : '').'">
	<input type="hidden" name="module" value="cck">
	<input type="hidden" name="action" value="search">';

	if (count($result["site_ids"]) > 1)
	{
		echo
		'<div class="field-d cck_search_site_ids">
			<span class="field-d__name">'.$this->diafan->_('Раздел').':</span>
			<select class="cs-select">';
				foreach ($result["site_ids"] as $row)
				{
					echo '<option value="'.$row["id"].'" path="'.BASE_PATH_HREF.$row["path"].'"';
					if($result["site_id"] == $row["id"])
					{
						echo ' selected';
					}
					echo '>'.$row["name"].'</option>';
				}
				echo
			'</select>
		</div>';
	}

	if (count($result["cat_ids"]) > 1)
	{
		echo
		'<div class="field-d cck_search_cat_ids">
			<span class="field-d__name">'.$this->diafan->_('Категория').':</span>
			<select name="cat_id" class="cs-select">';
				echo '<option value="">'.$this->diafan->_('Все').'</option>';
				foreach ($result["cat_ids"] as $row)
				{
					echo '<option value="'.$row["id"].'" site_id="'.$row["site_id"].'"';
					if($result["cat_id"] == $row["id"])
					{
						echo ' selected';
					}
					echo '>';
					if($row["level"])
					{
						echo str_repeat('- ', $row["level"]);
					}
					echo $row["name"].'</option>';
				}
				echo
			'</select>
		</div>';
	}
	else
	{
		echo '<input name="cat_id" type="hidden" value="'.$result["cat_id"].'">';
	}

	if(! empty($result["rows"]))
	{
		foreach ($result["rows"] as $row)
		{
			if(! in_array($row["type"], array('title', 'date', 'datetime', 'numtext', 'checkbox', 'select', 'multiple')))
				continue;

			echo '<div class="field-d cck_search_param cck_search_param'.$row["id"].'" cat_ids="'.$row["cat_ids"].'">';
			switch ($row["type"])
			{
				case 'title':
					echo '<span class="field-d__title">'.$row["name"].':</span>';
					break;

				case 'date':
					echo '
					<span class="field-d__name">'.$row["name"].':</span>
					<div class="runner-d">
						<div class="runner-d__board">
							<div class="runner-d__from">
								<div class="runner-d__field field-d">
									<input type="text" name="p'.$row["id"].'_1" value="'.$row["value1"].'" class="from timecalendar" showTime="false">
								</div>
							</div>
							<div class="runner-d__div">
								<div class="runner-d__field field-d"> — </div>
							</div>
							<div class="runner-d__to">
								<div class="runner-d__field field-d">
									<input type="text" name="p'.$row["id"].'_2" value="'.$row["value2"].'" class="to timecalendar" showTime="false">
								</div>
							</div>
						</div>
					</div>';
					break;

				case 'datetime':
					echo '
					<span class="field-d__name">'.$row["name"].':</span>
					<div class="runner-d">
						<div class="runner-d__board">
							<div class="runner-d__from">
								<div class="runner-d__field field-d">
									<input type="text" name="p'.$row["id"].'_1" value="'.$row["value1"].'" class="from timecalendar" showTime="true">
								</div>
							</div>
							<div class="runner-d__div">
								<div class="runner-d__field field-d"> — </div>
							</div>
							<div class="runner-d__to">
								<div class="runner-d__field field-d">
									<input type="text" name="p'.$row["id"].'_2" value="'.$row["value2"].'" class="to timecalendar" showTime="true">
								</div>
							</div>
						</div>
					</div>';
					break;

				case 'numtext':
					echo '
					<span class="field-d__name">'.$row["name"].':</span>
					<div class="runner-d" data-min="0" data-max="500000" data-step="1">
						<div class="runner-d__board">
							<div class="runner-d__from">
								<div class="runner-d__field field-d">
									<input type="text" class="from" name="p'.$row["id"].'_1" value="'. $row["value1"].'">
								</div>
							</div>
							<div class="runner-d__div">
								<div class="runner-d__field field-d"> — </div>
							</div>
							<div class="runner-d__to">
								<div class="runner-d__field field-d">
									<input type="text" class="to"  name="p'.$row["id"].'_2" value="'.$row["value2"].'">
								</div>
							</div>
						</div>
						<div class="runner-d__track"></div>
					</div>';
					break;

				case 'checkbox':
					echo '
					<input type="checkbox" id="cck_search_p'.$row["id"].'" name="p'.$row["id"].'" value="1"'.($row["value"] ? " checked" : '').'>
					<label for="cck_search_p'.$row["id"].'">'.$row["name"].'</label>';
					break;

				case 'select':
				case 'multiple':
					echo '
					<span class="field-d__name">'.$row["name"].':</span>
					<div class="field-d__list">';
						foreach ($row["select_array"] as $key => $value)
						{
							echo
							'<div class="field-d__item">
								<input type="checkbox" id="cck_search_p'.$row["id"].'_'.$key.'" name="p'.$row["id"].'[]" value="'.$key.'"'.(in_array($key, $row["value"]) ? " checked" : '').'>
								<label for="cck_search_p'.$row["id"].'_'.$key.'">'.$value.'</label>
							</div>';
						}
						echo
					'</div>';
			}
			echo '</div>';
		}
	}

	echo '
	<button class="button-d" type="submit">
		<span class="button-d__icon icon-d fas fa-search"></span>
		<span class="button-d__name">'.$this->diafan->_('Поиск').'</span>
	</button>

</form>

</section>';